package com.artfess.cqlt.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.cqlt.model.QfOperationCipD;
import com.artfess.cqlt.model.QfOperationCipM;
import com.artfess.cqlt.model.SysSubjectTarget;
import com.artfess.cqlt.vo.OpReportRespVo;
import com.artfess.cqlt.vo.OpTargetRespVo;
import com.artfess.cqlt.vo.OpReportReqVo;

import java.util.List;

/**
 * 运营--集团持续改进数据填报详情表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-02-21
 */
public interface QfOperationCipDManager extends BaseManager<QfOperationCipD> {

    boolean batchUpdate(QfOperationCipM t);

    boolean batchSave(QfOperationCipM t);

    List<OpReportRespVo> yearData(OpReportReqVo t);

    List<OpTargetRespVo> dataAnalysis(OpReportReqVo t, SysSubjectTarget target);
}
